<?php declare(strict_types=1);

namespace App\Repositories;

use App\Enums\CaptchaLogType;
use App\Models\CaptchaLog;
use Illuminate\Database\Eloquent\Builder;

final class CaptchaLogRepository
{
    public function countByType(CaptchaLogType $type, ?int $captchaId = null): int
    {
        return CaptchaLog::query()
            ->when($captchaId, function (Builder $query, int $captchaId) {
                $query->where('id', $captchaId);
            })
            ->where('type', '=', $type)
            ->count();
    }
}
